octave-mpi_1.2.0-6_amd64.deb


Advertisement

Description

octave-mpi - Octave toolbox for parallel computing using MPI

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename octave-mpi_1.2.0-6_amd64.deb
Package name octave-mpi
Package version 1.2.0
Package release 6
Package architecture amd64
Package type deb
Category universe/math
Homepage https://octave.sourceforge.io/mpi/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 169.44 KB
Installed size 1.72 MB
This package brings parallel computing capabilities to Octave by providing a
convenient interface to MPI primitives. This is achieved using simple MPI
Derived Datatypes.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-mpi_1.2.0-6_i386.deb 1.2.0 i386 Ubuntu Universe
octave-mpi - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
liboctave6 -
libopenmpi3 -
libstdc++6 >= 5.2
octave >= 4.4.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package octave-mpi_1.2.0-6_amd64.deb
Source Package octave-mpi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-mpi deb package:
    # sudo apt-get install octave-mpi

Files

Path
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Barrier.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Comm_Load.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Comm_Test.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Comm_rank.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Comm_size.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Finalize.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Finalized.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Get_processor_name.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Init.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Initialized.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Iprobe.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Probe.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Recv.oct
/usr/lib/x86_64-linux-gnu/octave/packages/mpi-1.2.0/x86_64-pc-linux-gnu-api-v52/MPI_Send.oct
/usr/share/doc/octave-mpi/NEWS
/usr/share/doc/octave-mpi/README.Debian
/usr/share/doc/octave-mpi/changelog.Debian.gz
/usr/share/doc/octave-mpi/copyright
/usr/share/doc/octave-mpi/examples/Pi.m
/usr/share/doc/octave-mpi/examples/hello2dimmat.m
/usr/share/doc/octave-mpi/examples/hellocell.m
/usr/share/doc/octave-mpi/examples/hellosparsemat.m
/usr/share/doc/octave-mpi/examples/hellostruct.m
/usr/share/doc/octave-mpi/examples/helloworld.m
/usr/share/doc/octave-mpi/examples/mc_example.m
/usr/share/doc/octave-mpi/examples/montecarlo.m
/usr/share/octave/packages/mpi-1.2.0/Pi.m
/usr/share/octave/packages/mpi-1.2.0/doc-cache
/usr/share/octave/packages/mpi-1.2.0/hello2dimmat.m
/usr/share/octave/packages/mpi-1.2.0/hellocell.m
/usr/share/octave/packages/mpi-1.2.0/hellosparsemat.m
/usr/share/octave/packages/mpi-1.2.0/hellostruct.m
/usr/share/octave/packages/mpi-1.2.0/helloworld.m
/usr/share/octave/packages/mpi-1.2.0/mc_example.m
/usr/share/octave/packages/mpi-1.2.0/montecarlo.m
/usr/share/octave/packages/mpi-1.2.0/packinfo/DESCRIPTION
/usr/share/octave/packages/mpi-1.2.0/packinfo/INDEX
/usr/share/octave/packages/mpi-1.2.0/packinfo/NEWS

Changelog

2019-01-04 - Rafael Laboissiere <rafael@debian.org>
octave-mpi (1.2.0-6) unstable; urgency=medium
* Team upload
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.3.0
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
* d/s/lintian-overrides: Add override for using of DEB_VERSION_UPSTREAM
variable in dh-exec scripts
2018-06-10 - Sébastien Villemot <sebastien@debian.org>
octave-mpi (1.2.0-5) unstable; urgency=medium
[ Mike Miller ]
* d/control, d/copyright: Use secure URL for upstream source.
[ Rafael Laboissiere ]
* d/control: Bump Standards-Version to 4.1.4 (no changes needed)
[ Sébastien Villemot ]
* octave4.4.patch: new patch, fixes FTBFS on 64-bit arches
2018-02-10 - Rafael Laboissiere <rafael@debian.org>
octave-mpi (1.2.0-4) unstable; urgency=medium
* Use dh-octave for building the package
* d/control:
+ Use Debian's GitLab URLs in Vcs-* headers
+ Change Maintainer to team+pkg-octave-team@tracker.debian.org
2017-12-29 - Rafael Laboissiere <rafael@debian.org>
octave-mpi (1.2.0-3) unstable; urgency=medium
* Team upload
[ Sébastien Villemot ]
* d/copyright: use secure URL for format.
* d/watch: bump to format version 4.
[ Rafael Laboissiere ]
* Use the dh-based version of octave-pkg-dev
* Set debhelper compatibility level to >= 11
* d/control:
+ Bump Standards-Version to 4.1.3 (no changes needed)
+ Use secure URIs in the Vcs-* fields
+ Use cgit instead of gitweb in Vcs-Browser URL
+ Add Testsuite field
* d/p/spelling-errors-in-docstrings.patch: New patch
2015-07-31 - Sébastien Villemot <sebastien@debian.org>
octave-mpi (1.2.0-2) unstable; urgency=medium
[ Sébastien Villemot ]
* octave4.0.patch: new patch, fixes FTBFS against Octave 4.0.
(Closes: #792877)
* Drop transitional package octave-openmpi-ext.
* Remove Thomas Weber from Uploaders.
[ Rafael Laboissiere ]
* d/p/autoload-yes.patch: Remove patch (deprecated upstream)
* Bump Standards-Version to 3.9.6 (no changes needed)
2014-03-17 - Sébastien Villemot <sebastien@debian.org>
octave-mpi (1.2.0-1) unstable; urgency=medium
* Imported Upstream version 1.2.0
* debian/copyright: reflect upstream changes.
* Reintroduce LD_PRELOAD trick in README.Debian.
2013-10-28 - Sébastien Villemot <sebastien@debian.org>
octave-mpi (1.1.1-1) unstable; urgency=low
* Imported Upstream version 1.1.1
* Rename source and binary package to octave-mpi, to reflect upstream change.
* Add transitional package for octave-openmpi-ext.
* Build against mpi-default-dev, since the package should now work with all
MPI implementations. Update documentation accordingly.
* Bump Standards-Version to 3.9.5, no changes needed.
* Remove openmpi-1.6.patch, no longer needed.
* Refresh autoload-yes.patch.
2013-08-19 - Sébastien Villemot <sebastien@debian.org>
octave-openmpi-ext (1.1.0-2) unstable; urgency=low
[ Sébastien Villemot ]
* Fix FTBFS against openmpi 1.6
+ openmpi-1.6.patch: new patch
+ Tighten build dependency against libopenmpi-dev (the patch is not
backward compatible)
[ Thomas Weber ]
* debian/control: Use canonical URLs in Vcs-* fields
2013-05-20 - Sébastien Villemot <sebastien@debian.org>
octave-openmpi-ext (1.1.0-1) unstable; urgency=low
* Imported Upstream version 1.1.0
* Use my @debian.org email address
* debian/copyright: reflect upstream changes
* Remove obsolete DM-Upload-Allowed flag
* Bump Standards-Version to 3.9.4, no changes needed
* remove-wrong-addpath.patch: remove patch, no longer needed
* add-preload-to-example.patch: remove patch, obsolete
* autoload-yes.patch: new patch, marks package as autoloaded
* d/rules, d/links: remove code about deleted 'allnodes' script
2012-07-03 - Sébastien Villemot <sebastien.villemot@ens.fr>
octave-openmpi-ext (1.0.2-2) unstable; urgency=low
* Explicitly Build-Depends on libopenmpi-dev, and Build-Conflicts with
libmpich2-dev, since the package is not compatible with the latter

See Also

Package Description
octave-msh_1.0.10-7_amd64.deb create and manage meshes for FE or FV solvers in Octave
octave-mvn_1.1.0-2_all.deb multivariate normal distribution clustering for Octave
octave-nan_3.1.4-5_amd64.deb handles data with and without missing values in Octave
octave-ncarray_1.0.4-2_all.deb access NetCDF files as a multi-dimensional array in Octave
octave-netcdf_1.0.12-2_amd64.deb Matlab compatible NetCDF interface for Octave
octave-nlopt_2.4.2+dfsg-8build1_amd64.deb nonlinear optimization library -- GNU Octave package
octave-nurbs_1.3.13-5_amd64.deb non-uniform rational B-splines for Octave
octave-octclip_1.0.8-5_amd64.deb boolean operations with polygons in Octave
octave-octproj_1.1.5-4_amd64.deb GNU Octave bindings to PROJ.4
octave-openems_0.0.35+dfsg.1-3build1_amd64.deb Octave interface for openems
octave-optics_0.1.3-2_all.deb optics functions for Octave
octave-optim_1.5.3-2_amd64.deb unconstrained non-linear optimization toolkit for Octave
octave-optiminterp_0.3.5-2_amd64.deb optimal interpolation package for Octave
octave-parallel_3.1.3-2_amd64.deb parallel execution of Octave in clusters of computers
octave-pfstools_2.1.0-3build4_amd64.deb octave bindings for pfstools
Advertisement
Advertisement